{if $success}
    <div class="alert alert-success">
        <strong>{$_lang['Saved']}</strong><br>{$_lang['SavedLong']}
    </div>
{elseif $errors}
    <div class="alert alert-danger">
        <strong>{$_lang['NotSaved']}</strong><br>{$_lang['NotSavedLong']}
    </div>
{/if}
<form id="dns_records_form" method="post" action="">
    {assign var=counter value=0}
    {foreach from=$record_types item=fields key=record_type}
        {assign var=counter value=$counter+1}
        <div class="record_types">
            <h3 class="heading_underlined">{$record_type}</h3>
            <div class="records">
                <div class="record_template">
                    <div class="record_row">
                        <div class="form-group hidden">
                            <input type="hidden" name="records[temp][type]" value="{$record_type}" disabled>
                        </div>
                        {foreach from=$fields item=label key=name}
                            <div class="form-group">
                                <input class="form-control" type="text" name="records[temp][{$name}]" placeholder="{$label}" disabled>
                            </div>
                        {/foreach}
                        <div class="form-group">
                            <input class="form-control" type="text" name="records[temp][ttl]" placeholder="TTL" value="" disabled>
                        </div>
                        <i class="fa fa-trash delete_record" aria-hidden="true" title="Delete" data-toggle="tooltip"></i>
                    </div>
                </div>
                {foreach from=$records item=record key=key}
                    {assign var=counter value=$counter+1}
                    {if $record.type eq $record_type}
                        <div class="record_row">
                            {foreach from=$record item=value key=name}
                                <div class="form-group{if $errors[$key][$name]} has-error{/if}{if $name eq 'id' or $name eq 'type'} hidden{/if}">
                                    <input class="form-control" type="{if $name eq 'id' or $name eq 'type'}hidden{else}text{/if}" name="records[{$counter}][{$name}]" placeholder="{if $name eq 'ttl'}TTL{else}{$record_types[$record.type][$name]}{/if}" value="{$value}">
                                </div>
                            {/foreach}
                            <i class="fa fa-trash delete_record" aria-hidden="true" title="{$_lang['Delete']}" data-toggle="tooltip"></i>
                        </div>
                    {/if}
                {/foreach}
                <a href="#" class="add_record">+ {$_lang['AddRecord']|sprintf:"<b>`$record_type`</b>"}</a>
            </div>
        </div>
    {/foreach}
    <p class="text-center">
        <input type="submit" value="Save Changes" class="btn btn-primary">
    </p>
</form>

{literal}
    <script type="text/javascript">
        $(function(){
            $('.add_record').on('click', function(e){
                e.preventDefault();
                var total_rows = $('.record_row').length;
                var record_template = $(this).parent().find('.record_template');
                var record_row = record_template.html();
                record_row = record_row.replace(/\[temp\]/g, '['+total_rows+']');
                record_row = record_row.replace(/disabled/g, '');
                $(record_row).insertBefore($(this));
            });
            $('#dns_records_form').on('click', '.delete_record', function(){
                $(this).parent().find('input').val('');
                $(this).parent().find('input').prop( "disabled", true );
                $(this).parent().slideUp();
            });
        });
    </script>

<style>
    .delete_record {
        cursor: pointer;
        margin-bottom: 15px;
    }

    .form-group.hidden {
        display: none;
    }

    .record_template {
        display: none;
    }
    .heading_underlined {
        border-bottom: 1px solid;
    }
    .record_types {
        margin-bottom: 30px;
    }
    .record_row {
        display: flex;
        align-items: center;
    }
    .record_row .form-group {
        max-width: calc(100% / 4 - 15px);
        margin-right: 15px;
    }
</style>
{/literal}
