<?php

use WHMCS\User\Client;
use WHMCS\Domain\Domain;

require_once __DIR__ . DIRECTORY_SEPARATOR . 'hosttech_core' . DIRECTORY_SEPARATOR . 'Core.php';
require_once __DIR__ . DIRECTORY_SEPARATOR . 'hosttech_core' . DIRECTORY_SEPARATOR . 'Api.php';

function addClientAreaSidebar($vars)
{
    $client = Menu::context('client');
    if(!empty($client) && !empty($_GET['domainid'])){
        if($_REQUEST['m'] === 'hosttechdns'){
                $domainid = $_GET['domainid'];
                $primarySidebar = Menu::primarySidebar();
                $newMenu = $primarySidebar->addChild(
                    'Manage DNS',
                    array(
                        'name' => 'Manage DNS',
                        'label' => 'Manage DNS',
                        'uri' => 'index.php?m=hosttechdns&domainid='.$domainid,
                        'order' => 100,
                        'icon' => 'fas fa-cog',
                    )
                );
                if(!is_null($primarySidebar->getChild('Manage DNS'))){
                    $primarySidebar->getChild('Manage DNS')
                        ->addChild('DNS Records')
                        ->setLabel('DNS Records')
                        ->setUri('index.php?m=hosttechdns&domainid='.$domainid)
                        ->setOrder(10)
                        ->setCurrent(true);
                    $primarySidebar->getChild('Manage DNS')
                        ->addChild('Back')
                        ->setLabel($vars['_lang']['Back'])
                        ->setUri('clientarea.php?action=domaindetails&id='.$domainid)
                        ->setOrder(20)
                        ->setIcon('fas fa-arrow-left');
                }
                $newMenu->moveToFront();
        }
    }
}

add_hook('ClientAreaPage', 1, 'addClientAreaSidebar');

add_hook('ClientAreaPrimarySidebar', 1, function ($menu) {
    // Check whether the domains menu exists
    if(!empty($_GET['domainid'])){
        $domainid = $_GET['domainid'];
    }else{
        $domainid = $_GET['id'];
    }
    $domain = Domain::find($domainid);

    if (!is_null($menu->getChild('Domain Details Management'))) {
        if($domain->hasDnsManagement && $domain->status === 'Active') {
            // Add a link to the hosttech DNS Management
            $newMenu = $menu->getChild('Domain Details Management')
                ->addChild(
                    'DNS Records',
                    array(
                        'uri' => 'index.php?m=hosttechdns&domainid='.$domainid,
                        'order' => 11,
                    )
                );
        }
        // Remove unused WHMCS DNS Management
        $menu->getChild('Domain Details Management')
            ->removeChild('DNS Records');
    }
});

/*
function createDefaultZone($vars) {

    if($vars['params']['registrar'] !== 'hosttech') {
        return;
    }       

    $domainid = $vars['params']['domainid'];
    $ns1 = $vars['params']['original']['ns1'];
    $ns2 = $vars['params']['original']['ns2'];


    try {
        $api = new Hosttechdns_Api();

        $domain = Domain::find($domainid);
        $nameserversets = $api->getProfile()['data']['nameserversets'];

        $zoneData = $api->getZone($domain->domain)['data'];
        if(empty($zoneData)){
            $zoneData = $api->createZone(
                $domain->domain,
                $domain->client->email,
                10800,
                !empty($nameserversets[0]['servers'][0]) ? $nameserversets[0]['servers'][0] : Hosttechdns_Core::DEFAULT_NS
            );
        }

        $zoneRecords = [
            [
                'type' => 'A',
                'name' => '',
                'ipv4' => '185.178.193.215',
                'ttl' => 10800
            ],
            [
                'type' => 'NS',
                'ownername' => '@',
                'targetname' => $ns1,
                'ttl' => 10800
            ],
            [
                'type' => 'NS',
                'ownername' => '@',
                'targetname' => $ns2,
                'ttl' => 10800
            ]
        ];
        $api->saveZone($domain->domain, $zoneRecords);
    } catch (\Exception $e) {
        //die($e);
    }
}

// Initial default DNS Zone settings
add_hook('DomainTransferCompleted', 1, 'createDefaultZone');
add_hook('AfterRegistrarRegistration', 1, 'createDefaultZone' );

*/
