<?php

class Hosttechdns_Core {

    const DEFAULT_NS = 'ns1.hostserv.eu';
    const CONFIG_FILE = __DIR__ . DIRECTORY_SEPARATOR . 'config.php';
    const RECORD_TYPES = [
        'A' => [
            'name' => 'Host',
            'ipv4' => 'IP'
        ],
        'AAAA' => [
            'name' => 'Host',
            'ipv6' => 'IP'
        ],
        'CAA' => [
            'name' => 'Host',
            'flag' => 'Flag',
            'tag' => 'Tag',
            'value' => 'Value'
        ],
        'CNAME' => [
            'name' => 'Host',
            'cname' => 'CNAME'
        ],
        'MX' => [
            'ownername' => 'Host',
            'name' => 'Mail Exchanger',
            'pref' => 'Priority'
        ],
        'NS' => [
            'ownername' => 'Host',
            'targetname' => 'Nameserver'
        ],
        'PTR' => [
            'origin' => 'Origin',
            'name' => 'Name'
        ],
        'SRV' => [
            'service' => 'Service',
            'priority' => 'Priority',
            'weight' => 'Weight',
            'port' => 'Port',
            'target' => 'Target'
        ],
        'TLSA' => [
            'name' => 'Name',
            'text' => 'Text'
        ],
        'TXT' => [
            'name' => 'Name',
            'text' => 'Text'
        ],

    ];

    public static function getRecordTypes(){
      return self::RECORD_TYPES;
    }

    public static function getConfig($key = NULL)
    {
        $config = include self::CONFIG_FILE;
        if($key){
            $config = $config[$key];
        }
        return $config;
    }

    public static function setConfig(array $newconfig)
    {
        if(!file_exists(self::CONFIG_FILE)){
            $config = [];
        }else{
            $config = include self::CONFIG_FILE;
        }

        $newconfig = array_merge($config, $newconfig);
        $newconfig = var_export($newconfig, true);
        file_put_contents(self::CONFIG_FILE, "<?php return $newconfig ;");
    }

}

